UDHCPC(8)

NAME
udhcpc - very small DHCP client

SYNOPSIS
udhcpc [OPTION]...

DESCRIPTION
The uDHCP client negotiates a lease with the DHCP server and executes a script when it is obtained or lost.

OPTIONS

-c CLIENTID, --clientid=CLIENTID
    Send the client identifier CLIENTID.

-f, --foreground
    Do not fork after obtaining a lease.

-H HOSTNAME, --hostname=HOSTNAME
    Send the client hostname HOSTNAME.

-i INTERFACE, --interface=INTERFACE
    Configure INTERFACE.

-n, --now
    Exit with failure if a lease cannot be obtained.

-p FILE, --pidfile=FILE
    Write the process ID of the daemon to FILE.

-q, --quit
    Exit after obtaining a lease.

-r ADDRESS, --request=ADDRESS
    Request IP address ADDRESS.

-s FILE, --script=FILE
    Use script FILE.

-v, --version
    Display version.

FILES

/usr/share/udhcpc/default.script
    Script run when leases are obtained or lost.